For the complete documentation index, see llms.txt. This page is also available as Markdown.

Machines

Get Machines

get

Returns a list of machines in your organization.

Authorizations
AuthorizationstringRequired
Query parameters
sitestring · uuid[] · max: 50 · nullableOptional
cursorstringOptional
Responses
200

Successful Response

application/json
get/v2/machines

Create Machine

post

Create a new machine.

Authorizations
AuthorizationstringRequired
Body
namestring · min: 1Required

Name of your Machine. Can be changed later

Example: Extruder X
sitestring · uuidRequired

UUID of the site this machine belongs to

Responses
201

Successful Response

application/json
uuidstring · uuidRequired
namestringRequired
sitestring · uuidRequired
genesis_datestring · dateRequired
post/v2/machines

Get Machine

get

Returns details for a specific machine.

Authorizations
AuthorizationstringRequired
Path parameters
uuidstring · uuidRequired
Responses
200

Successful Response

application/json
uuidstring · uuidRequired
namestringRequired
sitestring · uuidRequired
genesis_datestring · dateRequired
get/v2/machines/{uuid}

Update Machine

patch

Update a machine.

Authorizations
AuthorizationstringRequired
Path parameters
uuidstring · uuidRequired
Body
namestring · min: 1Optional

Name of your Machine. Can be changed later

Example: Extruder X
Responses
200

Successful Response

application/json
anyOptional
patch/v2/machines/{uuid}

No content

Delete Machine

delete

Delete a machine

Authorizations
AuthorizationstringRequired
Path parameters
machine_uuidstring · uuidRequired
Responses
204

Successful Response

No content

delete/v2/machines/{machine_uuid}

No content

Productivity Metrics

post

Get productivity metrics for a specific machine over a set of datetime ranges.

Authorizations
AuthorizationstringRequired
Path parameters
uuidstring · uuidRequired
Body
cursorstringOptional
Responses
200

Successful Response

application/json
post/v2/machines/{uuid}/productivity-metrics

Last updated